Bug 697221 - SELinux is preventing /usr/sbin/wpa_supplicant from using the sys_module capability.
SELinux is preventing /usr/sbin/wpa_supplicant from using the sys_module capa...
Status: CLOSED DUPLICATE of bug 697617
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
14
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-16 19:50 EDT by Heiko Adams
Modified: 2011-04-21 08:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-21 08:30:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko Adams 2011-04-16 19:50:10 EDT
Description of problem:
SELinux is preventing /usr/sbin/wpa_supplicant from using the sys_module capability.

*****  Plugin sys_module (99.5 confidence) suggests  *************************

If you do not believe that /usr/sbin/wpa_supplicant should be attempting to modify the kernel by loading a kernel module.
Then a process might be attempting to hack into your system.
Do
contact your security administrator and report this issue.

*****  Plugin catchall (1.49 confidence) suggests  ***************************

If you believe that wpa_supplicant should have the sys_module capability by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep wpa_supplicant /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Quellkontext                  system_u:system_r:NetworkManager_t:s0-s0:c0.c1023
Zielkontext                   system_u:system_r:NetworkManager_t:s0-s0:c0.c1023
Zielobjekte                   Unknown [ capability ]
Quelle                        wpa_supplicant
Quellpfad                     /usr/sbin/wpa_supplicant
Port                          <Unbekannt>
Host                          Ostfriesland
RPM-Pakete der Quelle         wpa_supplicant-0.6.8-10.fc14
RPM-Pakete des Ziels          
Richtlinien-RPM               selinux-policy-3.9.7-37.fc14
SELinux aktiviert             True
Richtlinientyp                targeted
Enforcing-Modus               Enforcing
Rechnername                   Ostfriesland
Plattform                     Linux Ostfriesland 2.6.35.12-88.fc14.i686 #1 SMP
                              Thu Mar 31 22:12:38 UTC 2011 i686 i686
Anzahl der Alarme             1
Zuerst gesehen                So 17 Apr 2011 01:43:44 CEST
Zuletzt gesehen               So 17 Apr 2011 01:43:44 CEST
Lokale ID                     b20ae761-e339-4726-a923-37e30c2e15ab

Raw-Audit-Meldungen
type=AVC msg=audit(1302997424.139:141): avc:  denied  { sys_module } for  pid=1518 comm="wpa_supplicant" capability=16  scontext=system_u:system_r:NetworkManager_t:s0-s0:c0.c1023 tcontext=system_u:system_r:NetworkManager_t:s0-s0:c0.c1023 tclass=capability


type=SYSCALL msg=audit(1302997424.139:141): arch=i386 syscall=ioctl success=no exit=ENODEV a0=8 a1=8933 a2=bff03fdc a3=8 items=0 ppid=1 pid=1518 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=wpa_supplicant exe=/usr/sbin/wpa_supplicant subj=system_u:system_r:NetworkManager_t:s0-s0:c0.c1023 key=(null)

Hash: wpa_supplicant,NetworkManager_t,NetworkManager_t,capability,sys_module

audit2allow

#============= NetworkManager_t ==============
allow NetworkManager_t self:capability sys_module;

audit2allow -R

#============= NetworkManager_t ==============
allow NetworkManager_t self:capability sys_module;

Version-Release number of selected component (if applicable):
wpa_supplicant.i686                    1:0.6.8-10.fc14
selinux-policy.noarch                  3.9.7-37.fc14
selinux-policy-targeted.noarch         3.9.7-37.fc14

How reproducible:
every time on startup/wakeup from suspend

Steps to Reproduce:
1. Reboot
2. Log into Gnome
3. Alternativly: wakeup from suspend
  
Actual results:
This error is raised

Expected results:
no error should be raised

Additional info:
Comment 1 Daniel Walsh 2011-04-21 08:30:16 EDT

*** This bug has been marked as a duplicate of bug 697617 ***

Note You need to log in before you can comment on or make changes to this bug.